You are not logged in.

#26 2022-04-19 10:36:58

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 10,070

Re: SOLVED - Linux 5.12.1 not supported by OpenZFS 2.0.4

Looking better now, some additonal comments  .

The script uses sudo in the body and once more in the then / elif / else conditional branches.
The else conditional branch even uses it twice.

I think it is cleaner to remove sudo from the script and run the entire script as root / with sudo.


I do also think you should incorporate and extra warning and/or check for the else branch as the actions it takes are very intrusive.


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#27 2022-04-19 18:05:40

cheeseburger
Member
Registered: 2021-12-28
Posts: 9

Re: SOLVED - Linux 5.12.1 not supported by OpenZFS 2.0.4

Yeah, it has all those individual sudo calls because it's part of a bigger script on my machine that also uses an AUR helper and git. What check would you suggest I add in the else branch? The packages that are downloaded are the ones needed by ZFS, it shouldn't break anything once both commands are executed.

Last edited by cheeseburger (2022-04-19 18:05:58)

Offline

#28 2022-04-20 16:32:16

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 10,070

Re: SOLVED - Linux 5.12.1 not supported by OpenZFS 2.0.4

The check I was thinking of was alerting the user and asking them for permission.

Otoh you use --noconfirm several times in the script, which kinda suggest you want the script to run unattended.


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#29 2022-04-20 17:34:50

cheeseburger
Member
Registered: 2021-12-28
Posts: 9

Re: SOLVED - Linux 5.12.1 not supported by OpenZFS 2.0.4

--noconfirm is not used in the command that breaks dependencies

Offline

Board footer

Powered by FluxBB